* bin/run-with-shell-env runs a program having established the proper
shell environment. This is handy for invoking things from Windows
shortcuts, for example.
* bin/start-ssh-pageant starts the Cygwin proxy for PuTTY's Pageant
SSH agent. It's not properly engineered yet, but it seems to work
well enough for running at login time.
--- /dev/null
+#! /bin/bash -x
+exec >/tmp/mdw/hacky.log 2>&1
+case ${__mdw_profile+t} in
+ t) ;;
+ *)
+ __mdw_force_secure_session=yes
+ export SHELL=/bin/bash USER=$(/bin/id -un)
+ set +x
+ . $HOME/.bash_profile
+ set -x
+ ;;
+esac
+exec "$@"
--- /dev/null
+#! /bin/sh -ex
+PATH=/bin:$HOME/bin:$PATH
+eval $(tmpdir -b)
+sockdir=${TMPDIR?}/.ssh-agent.$(hostname).${USER-$(id -un)}
+if [ -S $sockdir/sock ]; then
+ set +e; ssh-add -l >/dev/null 2>&1; rc=$?; set -e
+ case $rc in 0) exit 0 ;; esac
+ kill $(cat $sockdir/pid) || :
+ rm -f $sockdir/pid $sockdir/sock
+fi
+mkdir -p -m700 $sockdir
+(cd /; exec run ssh-pageant -d -a$sockdir/sock >/dev/null 2>&1)&
+echo $! >$sockdir/pid
aspell-hack
emerge-hack
lesspipe.sh
aspell-hack
emerge-hack
lesspipe.sh
svnwrap
guest-console
hyperspec"
svnwrap
guest-console
hyperspec"